
Summary: A viewer for comic book archives
Name:    qcomicbook
Version: 0.9.0
Release: 5%{?dist}

License: GPLv2
URL:     http://qcomicbook.org/
Source0: http://qcomicbook.org/releases/qcomicbook-%{version}.tar.gz 

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(QtGui) 
BuildRequires: pkgconfig(xmu) 
BuildRequires: pkgconfig(xi) 

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
## runtime utilities for viewing comic book archives
#Requires: bzip2
#Requires: gzip
#Requires: p7zip
#Requires: tar
#Requires: unzip
## nonfree stuff
#Requires: unace
#Requires: unrar


%description
QComicBook is a viewer for PDF files and comic book archives containing
jpeg/png/xpm/gif/bmp images, which aims at convenience and simplicity.
Features include: automatic unpacking of archive files, full-screen mode, continuous
scrolling mode, double-pages viewing, manga mode, thumbnails view, page scaling,
mouse or keyboard navigation etc.

You will also need unzip, rar (or unrar), unace, p7zip and tar (with gzip and
bzip2 support compiled in) somewhere in your PATH to handle archives. If one of
these tools is missing you can still use QComicBook, but you won't be able to
open some archives. You may check status of supported archives via Help > System information
menu option of QComicBook.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR="$RPM_BUILD_ROOT" -C %{_target_platform}

%find_lang qcomicbook --without-mo --with-qt


%check
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/*%{name}.desktop


%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files -f qcomicbook.lang
%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/qcomicbook
%{_mandir}/man1/qcomicbook.1*
%{_datadir}/applications/qcomicbook.desktop
%{_datadir}/pixmaps/qcomicbook.png
%dir %{_datadir}/qcomicbook/
%dir %{_datadir}/qcomicbook/i18n/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 08 2012 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-1
- 0.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Rex Dieter <rdieter@fedoraproject.org> -  0.7.2-1
- 0.7.2 (#663151)

* Sun Feb 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.5.0-1
- qcomicbook-0.5.0 (#560632)
- update URL
- convert build to use cmake
- BR: qt4-devel (to avoid ambiguity)
- drop needless/explicit Requires: qt
- drop needless .desktop vendor (f13+)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-3
- fix license tag

* Tue Apr 01 2008 Scott Baker <scott@perturb.org> - 0.4.0-2
- QT4 -> QT convesions (WOOHOO KDE4)

* Wed Nov 07 2007 Scott Baker <scott@perturb.org> - 0.4.0-1
- Added the requirment for QT4

* Wed Nov 07 2007 Scott Baker <scott@perturb.org> - 0.4.0-1
- Update to the latest version and drop the imlib dependency

* Thu Nov 11 2006 Scott Baker <scott@perturb.org> - 0.3.4-1
- Update to the latest version

* Mon Oct 09 2006 Scott Baker <scott@perturb.org> - 0.3.3-5
- Build on FC6

* Tue Sep 20 2006 Scott Baker <scott@perturb.org> - 0.3.3-2
- Bumped release to 0.3.3

* Sun Sep 03 2006 Scott Baker <scott@perturb.org> - 0.3.2-6
- Fixed building for SMP arches

* Thu Aug 31 2006 Scott Baker <scott@perturb.org> - 0.3.2-5
- Removed the BuildArch

* Mon Aug 28 2006 Scott Baker <scott@perturb.org> - 0.3.2-4
- Updated how the .desktop file is handled
- Updated the make to include SMP options
- Remove bogus "requires"
- Update the rm -rf in clean and install

* Mon Aug 28 2006 Scott Baker <scott@perturb.org> - 0.3.2-3
- Removed requirement for unrar since it's not available via Fedora

* Sun Aug 27 2006 Scott Baker <scott@perturb.org> - 0.3.2-2
- Begin packaging for Fedora Extras.
